curl -X POST https://api.crewship.dev/v1/threads/thr_xyz789abc/runs \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"input": {"message": "Tell me about AI agents"}
}'
{
"run_id": "run_abc123xyz",
"thread_id": "thr_xyz789abc",
"version_id": "ver_xyz789",
"version_number": 3,
"status": "running"
}
Threads
Create Thread Run
Create a new run in thread context
POST
/
v1
/
threads
/
{id}
/
runs
curl -X POST https://api.crewship.dev/v1/threads/thr_xyz789abc/runs \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"input": {"message": "Tell me about AI agents"}
}'
{
"run_id": "run_abc123xyz",
"thread_id": "thr_xyz789abc",
"version_id": "ver_xyz789",
"version_number": 3,
"status": "running"
}
Path Parameters
string
required
Thread ID
Request
object
Input data passed to your crew
string
default:"production"
Environment:
production or stagingResponse
Returns HTTP 202 (Accepted).string
Run ID
string
Thread ID
string
Version ID used for this run
integer
Version number used for this run
string
Run status:
runningNotes
- The thread must be in
idlestatus. Ifbusy, returns 409. - Thread is automatically set to
busyduring execution. - Thread state is updated and a checkpoint is created on completion.
curl -X POST https://api.crewship.dev/v1/threads/thr_xyz789abc/runs \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"input": {"message": "Tell me about AI agents"}
}'
{
"run_id": "run_abc123xyz",
"thread_id": "thr_xyz789abc",
"version_id": "ver_xyz789",
"version_number": 3,
"status": "running"
}